%global srcname ansicolor
%global desc %{srcname} is a library to produce ANSI color output, colored highlighting\
and diffing.

Name:           python-%{srcname}
Version:        0.2.4
Release:        3%{?dist}
Summary:        A library to produce ANSI color output

License:        ASL 2.0
URL:            https://github.com/numerodix/%{srcname}
Source0:        https://github.com/numerodix/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python3-devel
BuildRequires:  python2-pytest
BuildRequires:  python3-pytest
BuildRequires:  python2-setuptools
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx

%description
%{desc}

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{desc}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{desc}

%package doc
Summary:        Documentation for python-%{srcname}

%description doc
This package contains the documentation for python-%{srcname}.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

PYTHONPATH=$(pwd) ./build_docs.sh
rm -f docs/_build/html/.buildinfo

%install
%py2_install
%py3_install

%check
py.test-%{python2_version} -v
py.test-%{python3_version} -v

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*

%files doc
%license LICENSE
%doc docs/_build/html/*

%changelog
* Thu Jan 05 2017 Filip Szymański <fszymanski at, fedoraproject.org> - 0.2.4-3
- Fix spelling errors

* Thu Jan 05 2017 Filip Szymański <fszymanski at, fedoraproject.org> - 0.2.4-2
- Use %%{summary} macro
- Add license file to -doc subpackage

* Tue Dec 20 2016 Filip Szymański <fszymanski at, fedoraproject.org> - 0.2.4-1
- Initial release
